namespace WebAPI.Interfaces
{
    public interface ICrawlScheduler<BGTaskResult>
    {
        bool AddTask(int id, Func<Task<BGTaskResult>> task);
        bool RemoveTask(int id);
        event EventHandler<BGTaskResult>? OnResult;
    }
}
